Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235159 - update version of sg3_utils
Summary: update version of sg3_utils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sg3_utils
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 04:14 UTC by Ben Levenson
Modified: 2015-03-05 01:18 UTC (History)
2 users (show)

Fixed In Version: RHEA-2008-0468
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 16:48:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2008:0468 normal SHIPPED_LIVE sg3_utils enhancement update 2008-05-20 12:51:57 UTC

Description Ben Levenson 2007-04-04 04:14:36 UTC
Description of problem:
RHEL-4.5 has version 1.22. RHEL-5-GA has version 1.20.  We should consider
bumping the version in RHEL-5.

Comment 1 Rob Kenna 2007-06-05 14:52:10 UTC
Unlikely to get updated since it's not in the package budget already.  Is there
anything key that's needed here?

Comment 2 Ben Levenson 2007-08-14 04:06:18 UTC
I filed this bug to catch upgrade issues. As long as version 1.22 (RHEL-4.5) works
after an RHEL-4.5 -> RHEL-5.1 upgrade, then we should be fine.  I'll try to
verify this sometime this week.

Comment 3 James Laska 2007-08-14 14:42:26 UTC
Tested on a ppc installation after a RHEL-4.5 -> RHEL-5.1 upgrade

# grep sg3_utils install.log
Installing sg3_utils-libs-1.22-3.1.ppc.
Installing sg3_utils-1.22-3.1.ppc.
Installing sg3_utils-devel-1.22-3.1.ppc.
# grep sg3_utils upgrade.log

All of the sg3_util binaries appear to run without any obvious segfaults.  For
example: 

# sg_scan 
/dev/sg0: scsi0 channel=1 id=5 lun=0
/dev/sg1: scsi0 channel=1 id=8 lun=0
/dev/sg2: scsi0 channel=1 id=15 lun=0
/dev/sg3: scsi0 channel=255 id=255 lun=255
/dev/sg4: scsi2 channel=0 id=0 lun=0 [em]


Is there a more accurate test that could be performed to gauge the health of the
sg3_utils binaries?


Comment 4 Phil Knirsch 2007-08-15 13:06:08 UTC
IIRC sg3_utils isn't an approved component for RHEL-5.1, mind if we move that to
RHEL-5.2?

Read ya, Phil

Comment 5 Pete Graner 2007-08-23 19:47:44 UTC
Not an approved component per:

http://intranet.corp.redhat.com/ic/intranet/RHEL5U1ApprovedPackages.html/

Moving to 5.2 proposed.

Comment 6 Ben Levenson 2007-10-23 00:22:15 UTC
(In reply to comment #4)
> IIRC sg3_utils isn't an approved component for RHEL-5.1, mind if we move that to
> RHEL-5.2?

Looks like pgraner answered this question in comment #5. :)  (This comment
should cause the bugzilla to move out of NEEDINFO) 

Comment 11 errata-xmlrpc 2008-05-21 16:48:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0468.html



Note You need to log in before you can comment on or make changes to this bug.